/****************************************************************************
 * Snes9x Nintendo Wii/Gamecube Port
 *
 * Tantric 2008-2010
 *
 * menu.h
 *
 * Menu flow routines - handles all menu logic
 ***************************************************************************/

#ifndef _MENU_H_
#define _MENU_H_

#include <ogcsys.h>

void InitGUIThreads();
void MainMenu (int menuitem);
void ErrorPrompt(const char * msg);
int ErrorPromptRetry(const char * msg);
void InfoPrompt(const char * msg);
void ShowAction (const char *msg);
void CancelAction();
void ShowProgress (const char *msg, int done, int total);
void ResetText();

///benoa
u64 BuildGamelist() ;
class GuiImageData;
GuiImageData *LoadCoverImage(struct romHdr *header, bool Prefere3D=true, bool noCover=true);
///

enum
{
	MENU_EXIT = -1,
	MENU_NONE,
	MENU_SETTINGS,
	MENU_SETTINGS_FILE,
	MENU_SETTINGS_MENU,
	MENU_SETTINGS_NETWORK,
	MENU_GAMESELECTION,
	MENU_GAME,
	MENU_GAME_SAVE,
	MENU_GAME_LOAD,
	MENU_GAMESETTINGS,
	MENU_GAMESETTINGS_MAPPINGS,
	MENU_GAMESETTINGS_MAPPINGS_CTRL,
	MENU_GAMESETTINGS_MAPPINGS_MAP,
	MENU_GAMESETTINGS_VIDEO,
	MENU_GAMESETTINGS_CHEATS
};

// rom header structure.  this really isn't a header, but it will do for now 
//ID or CRC would be better to use bucause it can be read from the rom itself
//and will be constant, no matter what the rom is named.  But getting headers/CRC 
//for 7z cames would slow this down (and I really don't know much about rom headers)

struct romHdr {
	char title[64];
	u16	offset;	//used to keep track of what file in the folder this game is compared to non-rom files

} ATTRIBUTE_PACKED;


#endif
